import type { Duplex } from "@stream";
import { type PullStreamPublicApi, type CrxHeader, type EntryProps, type EntryVars, type InflateFactory, type ParseOptions, type ZipEntry } from "@archive/unzip/stream.base";
export type { CrxHeader } from "@archive/unzip/stream.base";
export type { EntryProps, EntryVars, ParseOptions, ZipEntry };
export type ParseStream = Duplex & {
    promise(): Promise<void>;
} & PullStreamPublicApi & {
    crxHeader?: CrxHeader;
};
export declare function createParseClass(createInflateRawFn: InflateFactory): {
    new (opts?: ParseOptions): ParseStream;
};
declare const BaseParse: new (opts?: ParseOptions) => ParseStream;
export declare class Parse extends BaseParse {
}
export declare function createParse(opts?: ParseOptions): ParseStream;
